/**
 * Theme Name:       Minnesota Native Landscape
 * Theme URI:        https://mnlcorp.com
 * Description:      MNL is a custom child theme built on the Genesis Framework utilizing Mai Engine 2.0.
 * Author:           Flying Orange
 * Author URI:       https://www.flyingorangewebdesign.com/
 * Version:          1.0
 * Text Domain:      MNL
 * Template:         genesis
 * Template Version: 3.5
 * License:          GPL-2.0-or-later
 * License URI:      http://www.gnu.org/licenses/gpl-2.0.html
 */

/* Table of Contents

	- Defaults
	- Theme Customizations
	- WooCommerce Customizations
	- Plant Calculator Customizations
	- Media Queries

*/

/* # Defaults
---------------------------------------------------------------------------------------------------- */

:root {
	--heading-font-family: "monarcha", serif !important;
	--sub-menu-width: 220px;
	--sidebar-width: 220px;

}

.is-style-subheading {
	font-family: var(--body-font-family);
	font-weight: 700 !important;
}

.has-dark-transparent-header:not(.header-stuck) .site-header-wrap {
	color: var(--color-body);
	link-color: var(--color-body);
	--menu-item-link-color: var(--color-body);
  	--menu-item-link-color-hover: var(--color-body);
}

.menu {
	font-size: var(--font-size-lg);
	font-weight: 700;
}

.sub-menu {
	font-weight: 400;
	font-size: var(--font-size-sm);
	background-color: var(--color-alt);
}

#menu-shop-menu .menu-item-link {
	font-size: var(--font-size-sm);
	font-weight: 400;
}

.button {
	border-radius: 30px;
	font-size: var(--font-size-md);
	font-weight: 700;
}

.button-small {
	font-size: var(--font-size-sm);
}

iframe {
	display: block;  /* iframes are inline by default */   
        height: 100vh;  /* Set height to 100% of the viewport height */   
        width: 100vw;  /* Set width to 100% of the viewport width */     
        border: none; /* Remove default border */
}

/* # Theme Customizations
---------------------------------------------------------------------------------------------------- */

.bgright {
	background-image: url("images/bg-graphic-right.png");
	background-position: top right;
	background-repeat: no-repeat;
}

.bgleft {
	background-image: url("images/bg-graphic-left-new.png");
	background-position: bottom left;
	background-repeat: no-repeat;
}

.bgplots {
	background-image: url("images/bg-plots-cover.png");
	background-size: cover;
}

.project .entry-excerpt {
	margin-bottom: 0px;
	text-transform: uppercase;
}

.page-header-description {
	font-size: var(--font-size-medium);
}

h3.widgettitle {
	font-size: var(--font-size-lg);
	font-family: var(--body-font-family);
	text-transform: uppercase;
}

.header-section-mobile a {
	color: var(--color-body);
}

.site-footer a {
	text-decoration: none;
}
	

/* # WooCommerce Customizations
---------------------------------------------------------------------------------------------------- */

.wcf-filter .wcf-filter-title {
	font-family: var(--body-font-family);
	font-size: var(--font-size-base);
	text-transform: uppercase;
	font-weight: 700;
	border-bottom: 1px solid var(--color-alt);
	padding-bottom: 4px;
}

.fa-chevron-up::before {
  content: "\f068";
}

.fa-chevron-down::before {
  content: "\2b";
}

.product-category a {
	color: var(--color-body);
}

h1.product_title.entry-title, h1.archive-title {
	font-size: var(--font-size-xxl);
}

h2.woocommerce-loop-product__title {
	font-size: var(--font-size-md);
	font-family: var(--body-font-family);
	font-weight: 700;
}

li.product-category > a > img {
	margin-bottom: var(--spacing-sm) !important;
}

li.product .button:not(.added_to_cart), li.wc-block-grid__product .wp-block-button, .taxonomy-archive-description p, .taxonomy-archive-description li {
	font-size: var(--font-size-sm);
}

body.term-design-your-own-garden li.product .button:not(.added_to_cart),  body.term-design-your-own-garden li.wc-block-grid__product .wp-block-button {
	font-size: var(--font-size-xs);
}

.product_meta {
	margin-bottom: var(--spacing-md);
}

.summary {
	justify-content: flex-start;
}

.woocommerce-Price-amount {
	font-size: var(--font-size-base);
}

.summary .price .woocommerce-Price-amount {
	font-weight: 700;
	font-size: var(--font-size-xl);
}

.single-product div.product .product_meta .tagged_as, .content-sidebar-wrap div.archives-description.term-description { 
	display: none !important; 
}

table.woocommerce-product-attributes th {
	font-size: var(--font-size-sm);
	font-weight: 700;
	padding: var(--spacing-sm);
}

table.woocommerce-product-attributes td {
	font-size: var(--font-size-sm);
	padding: var(--spacing-sm);
}

table.variations th.label > label {
	font-size: var(--font-size-sm);
	font-weight: 700;
}

.wc-tabs {
	margin: var(--spacing-lg) 0 0;
	border-bottom-color: var(--color-alt);
}

.wc-tabs li:not(.active) a {
	border-top-color: var(--color-alt);
	border-right-color: var(--color-alt);
	border-left-color: var(--color-alt);	
	border-bottom-color: var(--color-alt);	
	background-color: #fff;
	font-size: var(--font-size-sm);
	margin-left: var(--spacing-xs);
}

.wc-tabs li.active a, .wc-tabs li.active a:focus {
	background-color: var(--color-alt);
	border-bottom-color: var(--color-alt);
	font-size: var(--font-size-sm);
	color: var(--color-body);
	font-weight: 700;
}

.wc-tab {
	border-bottom-color: var(--color-alt);
	border-right-color: var(--color-alt);
	border-left-color: var(--color-alt);	
}

.woocommerce-Tabs-panel {
	padding: var(--spacing-lg);
	border-bottom: var(--border);
	border-left: var(--border);
	border-right: var(--border);
	border-bottom-color: var(--color-alt);
	border-right-color: var(--color-alt);
	border-left-color: var(--color-alt);	
}

.woocommerce-tabs h2 {
	display: none;
}

.quantity .qty, .quantity {
	height: 40px;
}

label:not([class*="gfield"]):not([class*="gform"]):not([class*="wpform"]) {
	display: flex;
}

#wc-customer-source {
	padding-top: var(--spacing-sm);
}

/* # Plant Calculator Customizations
---------------------------------------------------------------------------------------------------- */

#gform_6 #field_6_1 label, #gform_6 #field_6_3 label, #gform_6 #field_6_4 label {
	font-size: var(--font-size-md);
	font-weight: 600;
}


#gform_6 #field_6_5 label, #gform_6 #field_6_8 label {
	font-size: var(--font-size-lg);
	font-weight: 600;
}

#gform_6 #field_6_5 input, #gform_6 #field_6_8 input {
	background-color: var(--color-alt);
	border: 0px solid var(--color-alt);
	box-shadow: 0 0 0 var(--color-alt);
	color: var(--color-link);
	font-size: var(--font-size-xxl);
}

#gform_wrapper_6 p.gform_required_legend {
	margin-bottom: var(--spacing-md);
	color: var(--gf-color-danger);
}

.gfield_required_asterisk{
	font-size: var(--font-size-md);
}

/* # Media Queries
---------------------------------------------------------------------------------------------------- */

@media only screen and (max-width: 767px) {
	.bgright, .bgleft {
		background-image: none;
	}
	
	.mobhide, .nav-shop-menu {
		display: none;
	}
}